VIGRA - Two-dimensional Ranges and Points

[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| Two-dimensional Ranges and Points |
--- | --- | ---

## Classes
class | Diff2D
| Two dimensional difference vector. More...
class | Dist2D
class | Point2D
| Two dimensional point or position. More...
class | Rect2D
| Two dimensional rectangle. More...
class | Size2D
| Two dimensional size object. More...
## Functions
Diff2D | operator- (Diff2D const &a, Diff2D const &b)
Size2D | operator- (Size2D const &s, Diff2D const &offset)
Point2D | operator- (Point2D const &s, Diff2D const &offset)
Size2D | operator- (Point2D const &s, Point2D const &p)
Diff2D | operator+ (Diff2D const &a, Diff2D const &b)
Size2D | operator+ (Size2D const &a, Diff2D const &b)
Point2D | operator+ (Point2D const &a, Diff2D const &b)
Point2D | operator+ (Size2D const &s, Point2D const &p)

## Detailed Description

Specify a 2D position, extent, or rectangle.

## Function Documentation

Point2D operator+ | ( | Size2D const & | s,
|  | Point2D const & | p
| ) | `[inline]`

| Add size and point

Point2D operator+ | ( | Point2D const & | a,
|  | Diff2D const & | b
| ) | `[inline]`

| Create point by adding specified offset.

Size2D operator+ | ( | Size2D const & | a,
|  | Diff2D const & | b
| ) | `[inline]`

| Create size by adding specified offset.

Diff2D operator+ | ( | Diff2D const & | a,
|  | Diff2D const & | b
| ) | `[inline]`

| Create vector by adding specified offset.

Size2D operator- | ( | Point2D const & | s,
|  | Point2D const & | p
| ) | `[inline]`

| The difference of two points is a size

Point2D operator- | ( | Point2D const & | s,
|  | Diff2D const & | offset
| ) | `[inline]`

| Calculate size of rect between two points.

Size2D operator- | ( | Size2D const & | s,
|  | Diff2D const & | offset
| ) | `[inline]`

| Create size by subtracting specified offset.

Diff2D operator- | ( | Diff2D const & | a,
|  | Diff2D const & | b
| ) | `[inline]`

| Create vector by subtracting specified offset.

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.5.0 (7 Dec 2006)